Return the API key by ID
curl --request GET \
--url https://api.example.com/agent_api_keys/{id}import requests
url = "https://api.example.com/agent_api_keys/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/agent_api_keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agent_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agent APIKeys
Return the API key by ID
Return API key by ID.
GET
/
agent_api_keys
/
{id}
Return the API key by ID
Path Parameters
Response
Successful Response
The unique identifier of the agent API key.
The UUID of the agent
When the agent API key was created
The optional name of the agent API key.
The type of the agent API key (either internal or external)
Available options:
internal, external, github, slack ⌘I

